#!/usr/bin/env groovy
/**
 Limpia el EAR generado por JDeveloper de configuración basura que este mete and genera los ficheros de configuración en función del environment and los almacena dentro de un EAR previamente generado con JDeveloper
*/
def call(args) {
	def pomXmlPath=args.pomXmlPath
	def environment = args.environment ?:'undefined'

	milestone label: "Limpiando and generando ficheros de configuración dentro del EAR generado por JDeveloper", ordinal: 25

	sh "mvn es.eprinsa.maven:eprinsa-maven-plugin:limpia-ficheros-configuracion es.eprinsa.maven:eprinsa-maven-plugin:genera-ficheros-configuracion -f '${pomXmlPath}' -P${environment}"	
}
